public class Stock extends ShareAsset
{
	private int number = 0;
	
	public Stock(String symbol, int number, double costPrice)
	{
		super(symbol,costPrice);
		this.number = number;
		addCost(number*costPrice);
	}
	
	public Stock(String symbol, double costPrice)
	{
		super(symbol,costPrice);
	}
	
	public void purchase(int number, double price){
		this.number += number;
		addCost(number*price);
	}
	
	public double getMarketValue()
	{
		return number*getCurrentPrice();
	}
	
	public int getNumber()
	{
		return number;
	}
	
	public String toString(){
		return getSymbol() +": " + number + " cost:" + getCost() 
			+ "\nCurrent price: " + getCurrentPrice() 
			+ "\nMarket Value: " + getMarketValue()
			+ "\nProfit: " + getProfit();
	}
}